Package com.tietoenator.trip.jxp.database

# Class TdbLocations

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.database.TdbLocations

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbLocations extends TdbMessageProvider implements com.tietoenator.trip.jxp.internal.utils.DOMSink
Provides configuration entries that specify file locations. This class requires file or system manager privileges to use.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbLocations(TdbSession session)`
  Creates a specialized view on the TRIP configuration that provides file location definitions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getLocationNames()`
  Returns a sorted array of location names, merged from all sections in the TRIP configuration.
  `String`
  `getLocationPath(String name)`
  Returns the path that a particular location name refers to.

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbLocations

    public TdbLocations(TdbSession session) throws TdbException
    Creates a specialized view on the TRIP configuration that provides file location definitions. This class requires file or system manager privileges to use.
    Throws:
      `TdbException`

- ## Method Details

  - ### getLocationNames

    public String[] getLocationNames()
    Returns a sorted array of location names, merged from all sections in the TRIP configuration.
    Returns:
      Array of location names

  - ### getLocationPath

    public String getLocationPath(String name)
    Returns the path that a particular location name refers to.
    Parameters:
      `name` - Location name
    Returns:
      File system path on TRIP server or null if the location name was not found